ReflectionClass
ReflectionClass::export
ReflectionClass
PHP Manual

# ReflectionClass::__construct

Constructs a ReflectionClass

### Description

public ReflectionClass::__construct ( mixed `$argument` )

Constructs a new ReflectionClass object.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`argument`

  Either a string containing the name of the class to reflect, or an object.

### Return Values

No value is returned.

### Examples

Example #1 Basic usage ReflectionClass

`<?php
Reflection::export(new ReflectionClass('Exception'));
?>`

The above example will output something similar to:

    Class [ <internal:Core> class Exception ] {

      - Constants [0] {
      }

      - Static properties [0] {
      }

      - Static methods [0] {
      }

      - Properties [7] {
        Property [ <default> protected $message ]
        Property [ <default> private $string ]
        Property [ <default> protected $code ]
        Property [ <default> protected $file ]
        Property [ <default> protected $line ]
        Property [ <default> private $trace ]
        Property [ <default> private $previous ]
      }

      - Methods [10] {
        Method [ <internal:Core> final private method __clone ] {
        }

        Method [ <internal:Core, ctor> public method __construct ] {

          - Parameters [3] {
            Parameter #0 [ <optional> $message ]
            Parameter #1 [ <optional> $code ]
            Parameter #2 [ <optional> $previous ]
          }
        }

        Method [ <internal:Core> final public method getMessage ] {
        }

        Method [ <internal:Core> final public method getCode ] {
        }

        Method [ <internal:Core> final public method getFile ] {
        }

        Method [ <internal:Core> final public method getLine ] {
        }

        Method [ <internal:Core> final public method getTrace ] {
        }

        Method [ <internal:Core> final public method getPrevious ] {
        }

        Method [ <internal:Core> final public method getTraceAsString ] {
        }

        Method [ <internal:Core> public method __toString ] {
        }
      }
    }

### See Also

- ReflectionObject::__construct
- Constructors